INTERFACE
SUBROUTINE CPUTQYS ( KPROMA, KSTART, KPROF, KFLEV, PDT,&
 & PTENDH, PTENDQ, PTENDU, PTENDV,&
 & PCP9, PDELP9, PTT9, PUT9, PVT9,&
 & PFDIS,PTT1, PQT1, PUT1, PVT1 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PDT
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDH(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDQ(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDU(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDV(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP9(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP9(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT9(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT9(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT9(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDIS(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT1(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT1(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT1(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT1(KPROMA,KFLEV)
END SUBROUTINE CPUTQYS
END INTERFACE
